Get Process Stats

Get Process Stats
Get stats for a process

Get stats for a process.

Request
URI
GET
https://api.example.local/v3/processes/{guid}/stats
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProcessStats of type(s) application/json
{
    "resources": [
        {
            "type": "string",
            "index": 0,
            "state": "string",
            "host": "string",
            "uptime": 0,
            "mem_quota": 0,
            "disk_quota": 0,
            "log_rate_limit": 0,
            "usage": {
                "time": "string",
                "cpu": "number",
                "mem": 0,
                "disk": 0,
                "log_rate": 0
            }
        }
    ]
}
array of object
resources
Optional

resources


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/processes/{guid}/stats